System.ServiceModel 4.0.0.0 System.SystemException

Robust client and service indigo1 applications handle objects that may be thrown during communication. There are also two -derived exception types ( and ) that clients also often expect. Therefore, in order to prevent the generic handler from catching these more specific exception types, catch these exceptions prior to handling .

objects are thrown on the client when a SOAP fault that is specified in the operation contract is received in response to a two-way operation (that is, a method with an attribute with set to false).

objects are thrown when a listener receives a SOAP fault that is not expected or specified in the operation contract. This usually occurs when the application is being debugged and the service has the property set to true.

When implementing custom channels and binding elements, it is strongly recommended that your components throw only or -derived objects. In the case where your components throw a recoverable exception that is specific to the component, wrap that exception inside a object.

For more details about designing and using the indigo2 fault system, see Specifying and Handling Faults in Contracts and Services.

The WCF Runtime will not throw a that is unsafe to handle at the point where it leaves the WCF Runtime and enters user code.

Represents a communication error in either the service or client application.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class, using the specified message.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class, using the specified serialization information and context objects.

  Information relevant to the deserialization process.
  The context of the deserialization process.
- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.

  Initializes a new instance of the class, using the specified message and the inner exception.